namespace IRaCIS.Core.Domain.Models;

[Comment("受试者 - 附加评估标准影像筛选检查")]
[Table("SubjectCriteriaEvaluationVisitStudyFilter")]
public class SubjectCriteriaEvaluationVisitStudyFilter : BaseFullAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    [ForeignKey("TrialReadingCriterionId")]
    public ReadingQuestionCriterionTrial TrialReadingCriterion { get; set; }

    [JsonIgnore]
    public SubjectVisit SubjectVisit { get; set; }

    [ForeignKey("SeriesId")]
    [JsonIgnore]
    public DicomSeries Series { get; set; }

    [ForeignKey("StudyId")]
    [JsonIgnore]
    public DicomStudy Study { get; set; }
    #endregion
    public Guid TrialReadingCriterionId { get; set; }

    public Guid SubjectVisitId { get; set; }
    public Guid StudyId { get; set; }

    public Guid SeriesId { get; set; }
    public bool IsConfirmed { get; set; }

    public bool IsReading { get; set; }
}

